Fedora 24︰php (2016-b967ac1a74)

high Nessus Plugin ID 92149

Synopsis

遠端 Fedora 主機遺漏安全性更新。

描述

2016 年 5 月 26 日,**PHP 5.6.22**

**核心:**

- 修正錯誤 #72172 (zend_hex_strtod 不應使用 strlen)。([email protected])

- 已修正錯誤 #72114 (整數反向溢位 / fread/gzread 中的任意 null 寫入)。(Stas)

- 修正錯誤 #72135 (php_html_entities 中的整數溢位)。(Stas)

**GD:**

- 修正錯誤 #72227 (imagescale 超出邊界讀取)。(Stas)

**Intl:**

- 修正錯誤 #64524 (將 intl.use_exceptions 新增至 php.ini-*)。
(Anatol)

- 修正錯誤 #72241 (get_icu_value_internal 超出邊界讀取)。(Stas)

**Postgres:**

- 修正錯誤 #72151 (mysqli_fetch_object 已變更行為)。(Anatol)

請注意,Tenable Network Security 已直接從 Fedora 更新系統網站擷取前置描述區塊。
Tenable 已盡量在不造成其他問題的前提下,嘗試自動清理並將其格式化。

解決方案

更新受影響的 php 套件。

另請參閱

https://bodhi.fedoraproject.org/updates/FEDORA-2016-b967ac1a74

Plugin 詳細資訊

嚴重性: High

ID: 92149

檔案名稱: fedora_2016-b967ac1a74.nasl

版本: 1.6

類型: local

代理程式: unix

已發布: 2016/7/14

已更新: 2021/1/11

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.2

CVSS v2

風險因素: High

基本分數: 7.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

風險因素: High

基本分數: 8.6

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H

弱點資訊

CPE: p-cpe:/a:fedoraproject:fedora:php, cpe:/o:fedoraproject:fedora:24

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

修補程式發佈日期: 2016/5/30

弱點發布日期: 2016/8/7

參考資訊

CVE: CVE-2016-5093, CVE-2016-5096